summaryrefslogtreecommitdiffstats
path: root/jjb/vpp/include-raw-vpp-lite-build.sh
diff options
context:
space:
mode:
authorEd Warnicke <eaw@cisco.com>2016-11-29 11:58:21 -0600
committerEd Warnicke <eaw@cisco.com>2016-11-29 11:58:21 -0600
commit36ca41f672b1f79cae2d9d2c199f5edc32f84e31 (patch)
treef5e75c47107151b72f538ec23f70a88d24e15227 /jjb/vpp/include-raw-vpp-lite-build.sh
parent0860f84c309b627ceba0e7a696cb59c627cdfb58 (diff)
Migrate vpp-verify-* to using make verify
Also retires vpp-clang-* and vpp-lite-verify-* as they are now covered by make verify. Change-Id: I19967cd82b67029a7396bdba6907aa3d4d7da865 Signed-off-by: Ed Warnicke <eaw@cisco.com>
Diffstat (limited to 'jjb/vpp/include-raw-vpp-lite-build.sh')
-rw-r--r--jjb/vpp/include-raw-vpp-lite-build.sh54
1 files changed, 0 insertions, 54 deletions
diff --git a/jjb/vpp/include-raw-vpp-lite-build.sh b/jjb/vpp/include-raw-vpp-lite-build.sh
deleted file mode 100644
index 5df60ca34..000000000
--- a/jjb/vpp/include-raw-vpp-lite-build.sh
+++ /dev/null
@@ -1,54 +0,0 @@
-#!/bin/bash
-# basic build script example
-set -xe -o pipefail
-# do nothing but print the current slave hostname
-hostname
-export CCACHE_DIR=/tmp/ccache
-if [ -d $CCACHE_DIR ];then
- echo $CCACHE_DIR exists
- du -sk $CCACHE_DIR
-else
- echo $CCACHE_DIR does not exist. This must be a new slave.
-fi
-
-echo "cat /etc/bootstrap.sha"
-if [ -f /etc/bootstrap.sha ];then
- cat /etc/bootstrap.sha
-else
- echo "Cannot find cat /etc/bootstrap.sha"
-fi
-
-echo "cat /etc/bootstrap-functions.sha"
-if [ -f /etc/bootstrap-functions.sha ];then
- cat /etc/bootstrap-functions.sha
-else
- echo "Cannot find cat /etc/bootstrap-functions.sha"
-fi
-
-echo "sha1sum of this script: ${0}"
-sha1sum $0
-
-# Check to make sure the patch doesn't need to be rebased
-# Since there was a discontinuity, patches with a
-# parent before 30d41ff need to be rebased
-
-(git log --oneline | grep 30d41ff > /dev/null 2>&1);if [ $? != 0 ]; then REBASE_NEEDED="1";fi
-(git log --oneline | grep fb0815d > /dev/null 2>&1);if [ $? == 0 ]; then VPP_REPO="1";fi
-echo "REBASE_NEEDED: ${REBASE_NEEDED}"
-echo "VPP_REPO: ${VPP_REPO}"
-
-if [ "x${VPP_REPO}" == "x1" ]; then
- if [ "x${REBASE_NEEDED}" == "x1" ]; then
- echo "This patch to vpp is based on an old point in the tree that is likely"
- echo "to fail verify."
- echo "PLEASE REBASE PATCH ON THE CURRENT HEAD OF THE VPP REPO"
- exit 1
- fi
-fi
-
-make UNATTENDED=yes install-dep
-make PLATFORM=vpp_lite build-release
-
-echo "*******************************************************************"
-echo "* VPP BUILD SUCCESSFULLY COMPLETED"
-echo "*******************************************************************"